#.libPaths("~/Rlibs")
#library(quadprog)
#library(lars)
#source("pcqr.R")
#source("wlasso.R")
#source("penCQR.R")
#source("scad-lla.R")
#source("scad-lla-huber.R")


countfn <- function(beta, pos)
{
  a <- apply(abs(beta[,pos])>1e-6,1,sum);
  b <- apply(abs(beta[,-pos])>1e-6, 1, sum);
#  c(mean(a),sd(a),mean(b),sd(b));
  c(mean(a),mean(b));
}

# function: scad
# first order derivative of SCAD
scad <- function(lambda,beta,a=3.7)
{
  theta <- abs(beta);
  lambda*(theta<=lambda)+(a*lambda-theta)*(a*lambda>theta)/(a-1)*(theta>lambda);
}
